Language.C.Syntax.AST

# C translation units

data CTranslUnit

data CExtDecl

# Declarations

data CFunDef

data CDecl

data CStructUnion

data CStructTag

data CEnum

# Declaration attributes

data CDeclSpec

partitionDeclSpecs

data CStorageSpec

data CTypeSpec

isSUEDef

data CTypeQual

data CAttr

# Declarators

data CDeclr

data CDerivedDeclr

data CArrSize

# Initialization

data CInit

type CInitList

data CDesignator

# Statements

data CStat

data CBlockItem

data CAsmStmt

data CAsmOperand

# Expressions

data CExpr

data CAssignOp

data CBinaryOp

data CUnaryOp

data CBuiltin

# Constants

data CConst

data CStrLit

cstringOfLit

liftStrLit